import Answer from "./Answer";
import Comment from "./Comment";
import Interaction from "./Interaction";

// Value Object
export default class AnswerInteraction extends Interaction {
    public readonly answer: Answer;

    constructor(index: number, answer: Answer, date?: Date) {
        super(index, date);
        this.answer = answer;
    }
}
